# Transaction

## Module webhooks

* [`transaction.deposit.approved`](#transaction.deposit.approved)
* [`transaction.deposit.confirmed`](#transaction.deposit.confirmed)
* [`transaction.deposit.created`](#transaction.deposit.created)
* [`transaction.deposit.failed`](#transaction.deposit.failed)
* [`transaction.deposit.rejected`](#transaction.deposit.rejected)
* [`transaction.transfer.approved`](#transaction.transfer.approved)
* [`transaction.transfer.confirmed`](#transaction.transfer.confirmed)
* [`transaction.transfer.created`](#transaction.transfer.created)
* [`transaction.transfer.failed`](#transaction.transfer.failed)
* [`transaction.transfer.rejected`](#transaction.transfer.rejected)
* [`transaction.withdrawal.approved`](#transaction.withdrawal.approved)
* [`transaction.withdrawal.confirmed`](#transaction.withdrawal.confirmed)
* [`transaction.withdrawal.created`](#transaction.withdrawal.created)
* [`transaction.withdrawal.failed`](#transaction.withdrawal.failed)
* [`transaction.withdrawal.rejected`](#user.approved)

{% tabs %}
{% tab title="Payload Format" %}

| Name                    |  Type  | Description                                                                                                  |
| ----------------------- | :----: | ------------------------------------------------------------------------------------------------------------ |
| **id**                  | String | Transaction id. Format: UUID.                                                                                |
| **originWalletId**      | String | Origin wallet id. Format: UUID.                                                                              |
| **destinationWalletId** | String | Destination wallet id. Format: UUID.                                                                         |
| **status**              | String | Transaction status. Enum: \['**completed**', '**failed**', '**pending**', '**processing**', '**rejected**']. |
| **type**                | String | Transaction type. Enum: \['**deposit**', '**exchange**', '**transfer**', '**withdrawal**'].                  |
| **amount**              | String | Transaction amount. Format: Number.                                                                          |
| **code**                | String | Transaction code.                                                                                            |
| **assetCode**           | String | Transaction currency.                                                                                        |
| **metadata**            | Object | Metadata.                                                                                                    |
| **description**         | String | Description.                                                                                                 |
| **destinationAddress**  | String | Transaction destination address.                                                                             |
| **originAddress**       | String | Transaction origin address.                                                                                  |
| **externalReference**   | String | Transaction external reference code.                                                                         |
| **reference**           | String | Transaction reference code.                                                                                  |
| **processedAt**         |  Date  | Date of processing                                                                                           |
| {% endtab %}            |        |                                                                                                              |

{% tab title="Payload example" %}

```javascript
{
  "id": "89897625-7e8d-45e6-9dc7-5ad2987b6162",
  "originWalletId": "4085ac34-e411-4d30-a9fe-4c29f6289c8b",
  "destinationWalletId": "0e2d7d68-34ec-4a73-909c-8640bfa5895c",
  "status": "completed",
  "type": "deposit",
  "amount": "1.00000000",
  "code": "bank:wire",
  "assetCode": "ahd1wkwknus",
  "metadata": {},
  "createdAt": "2024-10-28T12:24:00.667Z",
  "updatedAt": "2024-10-28T12:24:00.891Z",
  "description": null,
  "destinationAddress": null,
  "originAddress": null,
  "customData": {},
  "externalReference": null,
  "reference": null,
  "processedAt": "2024-10-28T12:24:00.891Z"
}
```

{% endtab %}
{% endtabs %}

### `transaction.deposit.approved`

Approval of a `transaction` of type `deposit` webhook event.

### `transaction.deposit.confirmed`

Confirmation of a `transaction` of type `deposit` webhook event.

### `transaction.deposit.created`

Creation of a `transaction` of type `deposit` webhook event.

### `transaction.deposit.failed`

Failure of a `transaction` of type `deposit` webhook event.

### `transaction.deposit.rejected`

Rejection of a `transaction` of type `deposit` webhook event.

### `transaction.transfer.approved`

Approval of a `transaction` of type `transfer` webhook event.

### `transaction.transfer.confirmed`

Confirmation of a `transaction` of type `transfer` webhook event.

### `transaction.transfer.created`

Creation of a `transaction` of type `transfer` webhook event.

### `transaction.transfer.failed`

Failure of a `transaction` of type `transfer` webhook event.

### `transaction.transfer.rejected`

Rejection of a `transaction` of type `transfer` webhook event.

### `transaction.withdrawal.approved`

Approval of a `transaction` of type `withdrawal` webhook event.

### `transaction.withdrawal.confirmed`

Confirmation of a `transaction` of type `withdrawal` webhook event.

### `transaction.withdrawal.created`

Creation of a `transaction` of type `withdrawal` webhook event.

### `transaction.withdrawal.failed`

Failure of a `transaction` of type `withdrawal` webhook event.

### `transaction.withdrawal.rejected`

Rejection of a `transaction` of type `withdrawal` webhook event.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.slyk.io/slyk/reference/webhooks/transaction.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
